Jump to content


 


Register a free account to unlock additional features at BleepingComputer.com
Welcome to BleepingComputer, a free community where people like yourself come together to discuss and learn how to use their computers. Using the site is easy and fun. As a guest, you can browse and view the various discussions in the forums, but can not create a new topic or reply to an existing one unless you are logged in. Other benefits of registering an account are subscribing to topics and forums, creating a blog, and having no ads shown anywhere on the site.


Click here to Register a free account now! or read our Welcome Guide to learn how to use this site.

Photo

Expects a newer version of Windows...


  • Please log in to reply
1 reply to this topic

#1 Chauve-souris

Chauve-souris

  • Members
  • 1 posts
  • OFFLINE
  •  
  • Local time:10:54 PM

Posted 11 July 2009 - 06:47 PM

Hello,

I get this error message when trying to run an .exe file:

"The <directory/.EXE> file expects a newer version of Windows. Upgrade your Windows version."

After clicking OK, I get the prompt: "<directory/.exe> A file attached to the system is not functioning."


After exiting both of these prompts, the program doesn't run. I am running Windows ME 4.90.3000 and I believe that this executable was designed for XP/Vista, but after testing the .exe on a Vista machine, there doesn't seem to be anything taxing about the program (it is a very small program with limited graphics, no connection to the internet, no sound, etc.)-- it just seems that the compiling program that made this executable wasn't designed to support older systems like WinME.

My questions is: would there be some way to run this .exe under Windows ME? If needed, I can give a link to the file itself and I can give more information on my computer.

BC AdBot (Login to Remove)

 


m

#2 groovicus

groovicus

  • Security Colleague
  • 9,963 posts
  • OFFLINE
  •  
  • Gender:Male
  • Location:Centerville, SD
  • Local time:08:54 PM

Posted 11 July 2009 - 10:37 PM

My questions is: would there be some way to run this .exe under Windows ME? If needed, I can give a link to the file itself and I can give more information on my computer.


If an executable was designed to run under XP/Vista, it is not going to run in ME. The core operating systems are different, and are not necessarily backwards compatible. Library interfaces and drivers are different. The memory usage is not the limiting factor.




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users